# Created by pyp2rpm-3.3.1 originally
%define anolis_release .0.0
%global upname smmap2

Name:           python-%{upname}
Version:        2.0.5
Release:        1%{anolis_release}%{?dist}
Summary:        A pure python implementation of a sliding window memory map manager
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/smmap2
Source0:        %{upname}-%{version}.tar.gz
BuildArch:      noarch
Conflicts:      ython-smmap

BuildRequires:  pkgconfig(python3)

%description
smmap is a pure python implementation of a sliding memory map to help unifying
memory mapped access on 32 and 64 bit systems and to help managing resources
more efficiently.

%package -n     python3-%{upname}
Summary:        %{summary}
Conflicts:      ython3-smmap

%description -n python3-%{upname}
smmap is a pure python implementation of a sliding memory map to help unifying
memory mapped access on 32 and 64 bit systems and to help managing resources
more efficiently.

%prep
%setup -qn %{upname}-%{version}
# Remove bundled egg-info
rm -rf %{upname}.egg-info
cp -a . %{py3dir}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upname}
%doc LICENSE
%{python3_sitelib}/smmap
%{python3_sitelib}/%{upname}-%{version}-py?.?.egg-info

%changelog
* Tue Nov 02 2021 Yanshui Li<liyanshui.lys@alibaba-inc.com> - 2.0.5-1.0.0
- Initial packages.
